#include "pdirec.h"

#define MAPTXT	" -Jx1 -R-4.5/0/0/24"
#define XYT	" -X-6 -Y-12"
#define CNTRST	"0.0 24.0 9p,Courier,black RT N= %2d\n\
0.0 23.6 9p,Courier,black RT Im= %5.1f   Dm= %5.1f\n\
0.0 23.2 9p,Courier,black RT a95= %5.1f\n\
0.0 22.8 9p,Courier,black RT R= %6.3f   k=%6.1f\n\
0.0 22.4 9p,Courier,black RT Plat= %5.1f Plon= %5.1f\n\
0.0 22.0 9p,Courier,black RT dp= %5.1f   dm= %5.1f\n\
0.0 21.6 9p,Courier,black RT Sf= %5.1f   Sv= %5.1f\n\
0.0 21.2 9p,Courier,black RT Slat= %5.1f Slon= %5.1f\n"
#define CONT0	"0.0 20.4 9p,Courier,black RT sample   inc   dec  delta\n"
#define CONT	"0.0 %4.1f 9p,Courier,black RT %s  %5.1f %5.1f %5.1f\n"
#define CONTD	"0.0 %4.1f 9p,Courier,132 RT %s  %5.1f %5.1f %5.1f\n"
#define CONTG	"0.0 %4.1f 9p,Courier,black RT %s* %5.1f %5.1f %5.1f\n"
#define CONTGD	"0.0 %4.1f 9p,Courier,132 RT %s* %5.1f %5.1f %5.1f\n"

extern char Buf[WBUF], **Site, **Smpl, **Smplg;
extern unsigned int Frm;
extern int Ns, Nsg, Nst, Nstg, *Id, *Rjc, *Idg, *Rjcg;
extern double *Slt, *Sln, **Is, **Ds, *Dlt, *Ig, *Dg, *Dltg, Im, Dm, A95, R, K, Asd, \
		Vltm, Vlnm, dP, dM, Asdv;

/* pdrc_text -- plot the result of statistics */

void pdrc_text(n)
int n;
{
	int i, j;

	sprintf(Buf,CNTRST,Nst+Nstg,Im,Dm,A95,R,K,Vltm,Vlnm,dP,dM,Asd,Asdv,Slt[n],Sln[n]);
	wrt_tmp();
	sys_call(7, "gmt pstext ", FILET, MAPTXT, OPTF, XYT, " -N -P -O -K >>", FILEP);
	sprintf(Buf, CONT0);   wrt_tmp();
	sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
	for (i = 0; i < Ns; i++){
		if (Rjc[i] == 0){
			sprintf(Buf, CONT, 20.0-0.4*i, Smpl[Id[i]], Is[Frm][Id[i]], \
				Ds[Frm][Id[i]], Dlt[i]);  wrt_tmp();
			sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
		}
		else {
			sprintf(Buf, CONTD, 20.0-0.4*i, Smpl[Id[i]], Is[Frm][Id[i]], \
				Ds[Frm][Id[i]], Dlt[i]);  wrt_tmp();
			sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
		}
	}
	for (j = 0; j < Nsg; j++){
		if (Rjcg[j] == 0){
			sprintf(Buf, CONTG, 20.0-0.4*(Ns+j), Smplg[Idg[j]], Ig[j], Dg[j], Dltg[j]);
			wrt_tmp();
			sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
		}
		else {
			sprintf(Buf, CONTGD, 20.0-0.4*(Ns+j), Smplg[Idg[j]], Ig[j], Dg[j], Dltg[j]);
			wrt_tmp();
			sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
		}
	}
	sprintf(Buf, "0.0 25.0 14p,Helvetica,black RT %s\n", Site[n]);   wrt_tmp();
	sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O >>", FILEP);
}
#undef MAPTXT
#undef XYT
#undef CNTRST
#undef CONT0
#undef CONT
#undef CONTD
#undef CONTG
#undef CONTGD
