#include <string.h>
#include "std.h"

static char Buf[LSIZ_GET], Token[NARG_GET][TOKSIZ];

/* inpstr -- gets() with remark & max. length, returns string length   11/15/91
		when input of carrige return only, returns zero	         5/3/88
*/

int inpstr(rem, str, maxleng)
char *rem, *str;
int maxleng;
{
	char c;
	int  i;

	if (maxleng<1 || maxleng>LSIZ_INP)
		error("inpstr: illegal string length.");
	printf("%s ", rem);
	fgets(Buf, LSIZ_INP, stdin);
	i = 0;
	while ((c=Buf[i])!='\n' && c!='\r' && c!='\0'){
		str[i++] = c;
		if (i >= maxleng-1)   break;
	}
	str[i] = '\0';
	return(i);
}


/* inps -- reads up to 7 strings (<=30 characters) from stdin   2/21/88 */

int inps(rem, n, s1, s2, s3, s4, s5, s6, s7)
char *rem, *s1, *s2, *s3, *s4, *s5, *s6, *s7;
int n;
{
	char *ptoken, *delims = " ,\t\n";
	int ni, i, j;

	if (n<1 || n>NARG_INP)
		error ("inps: illegal arguments number.");
	printf("%s ", rem);
	fgets(Buf, LSIZ_INP, stdin);
	i = 0;
	ptoken = strtok(Buf, delims);
	while (ptoken != NULL){
		strcpy(Token[i++], ptoken);
		ptoken = strtok(NULL, delims);
	}
	ni = i;
	if (ni == 0)
		return (ZERO);
	if (ni < n) {
		i = ni;
		while (i < n){
			printf("? ");
			fgets(Buf, LSIZ_INP, stdin);
			ptoken = strtok(Buf, delims);
			while (ptoken != NULL){
				strcpy(Token[i++], ptoken);
				ptoken = strtok(NULL, delims);
			}
		}
	}
	strcpy(s1, Token[0]);   if (n == 1)   return(1);
	strcpy(s2, Token[1]);   if (n == 2)   return(2);
	strcpy(s3, Token[2]);   if (n == 3)   return(3);
	strcpy(s4, Token[3]);   if (n == 4)   return(4);
	strcpy(s5, Token[4]);   if (n == 5)   return(5);
	strcpy(s6, Token[5]);   if (n == 6)   return(6);
	strcpy(s7, Token[6]);   return(7);
}
