/* pi_cmd -- command interpretation for pinte */

#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "pinte.h"

extern unsigned int Opt, Methd;

FILE *pi_cmd(argc, argv, file)
int argc;
char *argv[], *file;
{
	FILE *fp;
	char *s;
	int flagf = 0;

	if (argc < 2) error(USAGE);
	while (--argc > 0){
		if (*argv[argc] == '-'){
			s = argv[argc] + 1;
			switch (toupper(*s)){
			case 'H':
				showless(HELP1);
				break;
			default:
				error("Unknown option!");
				break;
			}
		}
		else {
			if (flagf != 0) error("Assign only one file!");
			strcpy(file, argv[argc]);
			if ((fp = fopen(file, "r")) == NULL) error("Error of open file!");
			flagf = 1;
		}
	}
	if (flagf != 0) return(fp);
	else error("Error of open file!");
}
