#include "std.h"

/* decinc -- convert from n sets of (X,Y,Z) to (F,I,D)   12/14/96 */

void decinc(x, y, z, mag, inc, dec, n)
int n;
double *x, *y, *z, *mag, *inc, *dec;	/* both are pointers */
{
	int i;

	for (i=0; i<n; i++)
		carmag(x[i], y[i], z[i], mag+i, inc+i, dec+i);
}

/* checklon -- check longitude or declination into the following range,
	mode 0: 0 <= lon or dec <= 360
	mode 1: -180 <= lon or dec <= +180
*/

void checklon(longitude, mode)
int mode;
double *longitude;	/* pointer ! */
{
	switch (mode) {
	case 0:
		if (*longitude < 0.) *longitude += 360.;
		else if (*longitude > 360.) *longitude -= 360.;
		break;
	case 1:
		if (*longitude < -180.) *longitude += 360.;
		else if (*longitude > 180.) *longitude -= 360.;
		break;
	default:
		error("Illegal mode in checklon");
		break;
	}
}
