#include <stdlib.h>
#include <string.h>
#include "std.h"

/* sys_call -- concatenate n strings to form a system command and cary it out   5/2/98
	s1 should be top of the command
	total length of the command should be less than LSIZ_COM (increased to 1000)
*/

void sys_call(n, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13)
char *s1, *s2, *s3, *s4, *s5, *s6, *s7, *s8, *s9, *s10, *s11, *s12, *s13;
int n;
{
	char comd[LSIZ_COM];

	str_cat(comd, n, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13);
	system(comd);
}

/* str_cat -- concatenate n strings and stores it to buf 
	Be sure to take length of buf[] enough long to store all of the strings!
*/


void str_cat(buf, n, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13)
char *buf, *s1, *s2, *s3, *s4, *s5, *s6, *s7, *s8, *s9, *s10, *s11, *s12, *s13;
int n;
{
	if (n < 1) error("Error of n at str_cat!");
	strcpy(buf, s1);   if (n == 1) return;
	strcat(buf, s2);   if (n == 2) return;
	strcat(buf, s3);   if (n == 3) return;
	strcat(buf, s4);   if (n == 4) return;
	strcat(buf, s5);   if (n == 5) return;
	strcat(buf, s6);   if (n == 6) return;
	strcat(buf, s7);   if (n == 7) return;
	strcat(buf, s8);   if (n == 8) return;
	strcat(buf, s9);   if (n == 9) return;
	strcat(buf, s10);   if (n == 10) return;
	strcat(buf, s11);   if (n == 11) return;
	strcat(buf, s12);   if (n == 12) return;
	strcat(buf, s13);   if (n == 13) return;
	error("N exceeded 13 at str_cat!");
}
